summaryrefslogtreecommitdiffhomepage
path: root/eigen/scripts/buildtests.in
diff options
context:
space:
mode:
Diffstat (limited to 'eigen/scripts/buildtests.in')
-rw-r--r--eigen/scripts/buildtests.in22
1 files changed, 22 insertions, 0 deletions
diff --git a/eigen/scripts/buildtests.in b/eigen/scripts/buildtests.in
new file mode 100644
index 0000000..7026373
--- /dev/null
+++ b/eigen/scripts/buildtests.in
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+if [[ $# != 1 || $1 == *help ]]
+then
+ echo "usage: ./check regexp"
+ echo " Builds tests matching the regexp."
+ echo " The EIGEN_MAKE_ARGS environment variable allows to pass args to 'make'."
+ echo " For example, to launch 5 concurrent builds, use EIGEN_MAKE_ARGS='-j5'"
+ exit 0
+fi
+
+TESTSLIST="@EIGEN_TESTS_LIST@"
+targets_to_make=`echo "$TESTSLIST" | egrep "$1" | xargs echo`
+
+if [ -n "${EIGEN_MAKE_ARGS:+x}" ]
+then
+ make $targets_to_make ${EIGEN_MAKE_ARGS}
+else
+ make $targets_to_make
+fi
+exit $?
+